Subject: bug#78343: Org mode Sort region/ children sort order has changed

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 May 2025 10:54:01 +0300

> Date: Fri, 9 May 2025 14:30:43 +0200
> Sensitivity: Normal
> From: jl256--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> 
> In my org file I declare:
> 
> #+PRIORITIES: 0 9 9
> 
> Say I have a list of sub-headings under a parent heading:
> 
> TODO [#0] Bob 
> TODO Tim
> TODO [#1] Percival
> 
> I was until recently using emacs 26.1 with org mode 9.1.9.
> 
> If I did a Sort region/ children C-c ^ [p]riority on the parent heading I would get:
> 
> TODO [#0] Bob 
> TODO [#1] Percival
> TODO Tim
> 
> Which is what I want.
> 
> Now I am using the same file in emacs 29.4 with org mode 9.6.15 and the same sort command gives:
> 
> TODO Tim
> TODO [#0] Bob 
> TODO [#1] Percival
> 
> Which is not what I want and I believe is not how things should work.
> 
> I posted about this a while back at
> 
> https://emacs.stackexchange.com/questions/82838/org-mode-sort-region-children-sort-order-has-changed
> 
> and this behaviour was reproduced by someone else and they suggested I report this as a bug.

Thanks, but please report this to the Org developers first.  Org has
its own bug-reporting address.